Bug 131241 - "volume" channel doesn't control sound volume. Only "PCM" does
"volume" channel doesn't control sound volume. Only "PCM" does
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
: 159513 (view as bug list)
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2004-08-30 08:31 EDT by Julien Olivier
Modified: 2015-01-04 17:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 19:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/modprobe.conf (399 bytes, text/plain)
2004-08-30 08:33 EDT, Julien Olivier
no flags Details

  None (edit)
Description Julien Olivier 2004-08-30 08:31:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
I don't know if it's kernel-related at all, but i have no clue where
to file this bug...

When I try to change the sound volume, only "PCM" or "PCM2" seems to
affect the volume. Other channels don't do anything at all.

This is a problem because I have some special keys taht I have bound
to "mute volume", "volume up" and "volume down", but those keys only
control the "Volume" channel, not PCM.

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.533

How reproducible:
Always

Steps to Reproduce:
1.Change the volume using the "Volume" channel
2.Nothing happens
3.Change the volume using the "PCM" channel
4.Volume changes

Actual Results:  I can't change the volume using the "Volume" channel.

Expected Results:  "Volume" and "PCM" channels should both control the
sound volume.

Additional info:

My sound card is recognized by the hardware browser as:

82801DB (ICH4) AC'97 Audio Controller

Manufacturer: Intel Corp.
Driver: snd-intel8x0

Here is the output of lspci:

[julien@julien ~]$ /sbin/lspci
00:00.0 Host bridge: Intel Corp. 82852/855GM Host Bridge (rev 02)
00:00.1 System peripheral: Intel Corp. 855GM/GME GMCH Memory I/O
Control Registers (rev 02)
00:00.3 System peripheral: Intel Corp. 855GM/GME GMCH Configuration
Process Registers (rev 02)
00:02.0 VGA compatible controller: Intel Corp. 82852/855GM Integrated
Graphics Device (rev 02)
00:02.1 Display controller: Intel Corp. 82852/855GM Integrated
Graphics Device (rev 02)
00:1d.0 USB Controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corp. 82801DB/DBM (ICH4/ICH4-M) USB 2.0
EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801 PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corp. 82801DBM LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4) Ultra ATA Storage
Controller (rev 03)
00:1f.3 SMBus: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 03)
01:0a.0 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 02)
01:0a.1 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 02)
01:0c.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
01:0d.0 Network controller: Intel Corp. PRO/Wireless 2200BG (rev 05)
01:0e.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21
IEEE-1394a-2000 Controller (PHY/Link)
Comment 1 Julien Olivier 2004-08-30 08:33:21 EDT
Created attachment 103245 [details]
/etc/modprobe.conf

I attached /etc/modprobe.conf, in case it helps.
Comment 2 kulesza 2004-10-24 13:58:49 EDT
I have the same problemq i can not start 5.1 chanell sound =[
Comment 3 MIchael Kolmodin 2005-01-25 05:55:26 EST
Similar situation: "Master Surround", "PCM" and the first of the VIA
DXS ALSA channels affect volume, noone else. Specifically, the
"Master" does not affect the volume which gives the same problem for
me as decribed above for the multimedia keys.

My hw; VIA Technologies VT8233/A/8235/8237 AC97 Audio Controller.
There are two analog outputs, the situation is basically the same for
both.

The multimedia keys is really a separate issue, there are bugs filed
on them already. But it's still a problem that the Master control
doesn't affect the volume: normal users expect such a channel to
control the volume at least to some extent.
Comment 4 Marius Andreiana 2005-11-02 05:27:52 EST
Quote from bug #164894 :
Comment #3 From Martin Stransky (stransky@redhat.com)  	 on 2005-08-16 07:12
EST  	[reply]  	   	 

Yes, It's a common problem with the Master volume slider, it doesn't work for
many cards. Upstream already works on this issue.

Comment 5 Thilo Pfennig 2005-11-03 05:34:15 EST
*** Bug 159513 has been marked as a duplicate of this bug. ***
Comment 6 Ryo Dairiki 2006-03-22 23:12:03 EST
I'm not sure, but I can solve that problem by adding "ac97_quirk=2" into
/etc/modprobe.conf.
How about trying that?
(I'm sorry, but I've forgot the news source)

# my /etc/modprobe.conf
alias eth0 e1000
alias scsi_hostadapter ata_piix
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
options snd-intel8x0 index=0 ac97_quirk=2 # <- I've heard that you can also put
0 or 1 here 
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
Comment 7 Thilo Pfennig 2006-03-23 05:46:29 EST
At some point this issue went away (that was FC4). So it was not a matter of
configuration. Don#t know but switching mixer back and forward / on and off did
help.

Comment 8 Dave Jones 2006-10-16 14:54:05 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Thilo Pfennig 2006-10-17 18:18:14 EDT
You can close this bug. This bug seemed to be fixed some kernels ago or I could
not reproduce it.

Note You need to log in before you can comment on or make changes to this bug.